@import '../../../styles/variables';

$tablet : "only screen and (min-width: 769px) and (max-width: 991px)";
$phone-big : "only screen and (max-width: 768px)";

$theme-btn: #eb1963;
$social-btn: #295296;
$color-red: #b94a48;
$color-red-light-1: #f2dede;
$color-red-light-2: #eed3d7;

.auth-footer {
    left: 0;
    color: black;
    width: 100%;
    text-align: center;
  }

  .auth-footer-text {
    font-size: 16px;
  }

  .ant-btn[disabled] {
    background-color: $theme-btn;

    &:hover {
      background-color: darken($theme-btn, 0.8);
    }
  }

  .base-btn {
    color: white;
    min-width: 200px;
    border-radius: 20px;
    padding: 8px;
    height: 40px;
  }

  .auth-form-button {
    @extend .base-btn;
    margin: 20px;
    background-color: $theme-btn;
    border: none !important;

    &:hover {
      background-color: darken($theme-btn, 0.8);
    }

    &:focus {
      background-color: $theme-btn;
    }
  }

  .error {
    opacity: 0.7;
    background: $color-red-light-1;
    border: 1px solid $color-red-light-2;
    color: $color-red;
    margin-bottom: 20px;
    height: 40px;
    line-height: 40px;
  }

  .auth-social-button {
    @extend .base-btn;
    background-color: $social-btn;
    border: 1px solid $social-btn !important;
    &:hover {
      background-color: darken($social-btn, 0.8);
    }
  }
